## QuickDown: Keyboard-first, local markdown note-taking for MacOS

![Demo](https://github.com/akaalias/quickdown/blob/main/demo.gif?raw=true)
 
### Hotkeys
- Global Hotkey: **⌘-⌥-N**
- Save Markdown Note (Local and iCloud): **⌘-S**
- Open Markdown Note (Local and iCloud): **⌘-O**

### Markdown Template with Directives

- Create better notes faster with a custom markdown template without having leave your keyboard with directives for:
- Directives are **super useful** when you want to have a solid boilerplate for all your notes but STILL want to start writing right away
- You can now create complex Markdown templates and still place your cursor exactly where you want to start writing

1. Your cursor position on focus (%CURSOR%)
2. Today's date and time (%DATETIME%)
3. Just today's date (%DATE%)
4. Just the time (%TIME%)
5. Your clipboard content (%CLIPBOARD%)

## Insert directives in your template
<img width="572" alt="Screenshot 2022-01-12 at 17 48 25" src="https://user-images.githubusercontent.com/111555/149195363-f21dad34-7537-4673-84b8-82aab3055207.png">

## Live replacement on new note
<img width="572" alt="Screenshot 2022-01-12 at 17 45 44 copy" src="https://user-images.githubusercontent.com/111555/149195380-5d5d2604-7bd7-438e-a3e5-0550b3e457b0.png">

### Launch on Login
- Useful if you like having QuickDown around after logins

## Install QuickDown (MacOS)
- Download latest release (QuickDown.zip) from [releases](https://github.com/akaalias/quickdown/releases)
- Unzip and drag QuickDown.app to your /Applications folder
- Open QuickDown.app 

### Project Background

As an [avid Obsidian user](https://publish.obsidian.md/alexisrondeau) and [constant pen-paper note-taker](https://publish.obsidian.md/alexisrondeau/%E2%AD%90%EF%B8%8F+My+Physical+Notebooks+(Photos)), I often want to take a quick markdown note while working 
- _without_ having to keep Obsidian running in the background
- _without_ having to switch to Obsidian to write
- _without_ having to leave my keyboard

To me, I want to "catch" notes _all the time_, while I want to connect and remix them in Obsidian only at specific moments. 

None of the existing [note-taking menu bar apps](https://www.macmenubar.com/note-taking-apps/) had what I needed. So I made my own that fits my needs perfectly.

1. A single global hotkey `⌘-⌥-N` opens the note popover
2. A simple `⌘-S` saves the note into my Obsidian vault
3. A simple `Esc` dismisses the popover

Just a way to jot down a markdown note.

Nothing more, nothing less. 

[![Total Downloads](https://img.shields.io/github/downloads/akaalias/quickdown/total.svg?logoColor=brightgreen)]()
